lmomplot {POT} | R Documentation

## Threshold Selection: The L-moments Plot

### Description

Plots of sample L-Skewness ans L-Kurtosis estimates at various thresholds for peaks over threshold modelling, using the Generalized Pareto parametrization.

### Usage

    lmomplot(data, u.range, nt = max(50, length(data)), identify = TRUE,
    ...)

### Arguments

`data` | A numeric vector.
`u.range` | A numeric vector of length two, giving the limits for the thresholds at which the model is fitted.
`nt` | The number of thresholds at which the sample L-moments are evaluated.
`identify` | Logical. If `TRUE`, points on the plot are identify using `identify` function.
`...` | Other arguments to be passed to the model fit function `fitgpd`.

### Details

For each thresholds, sample L-skewness and L-kurtosis are computed. If data are GP distributed, one have :

tau_4 = tau_3 ( 1 + 5 tau_3 ) / ( 5 + tau_3 )

So, a threshold is acceptable if sample ≤ft(τ_3, τ_4\right) are near the theoretical curve.

### Warnings

L-moments plot are really difficult to interpret. It can help us to say if the GP distribution is suited to model data.

### Author(s)

Mathieu Ribatet

### References

Hosking, J. R. M. and Wallis, J. R. (1997) Regional Frequency Analysis. Cambridge University Press.

Begueria, S. (2005) Uncertainties in partial duration series modelling of extremes related to the choice of the threshold value. Journal of Hydrology, 303(1-4): 215–230.

### See Also

`fitgpd`, `mrlplot`, `tcplot`

### Examples

    data(ardieres)
    ardieres <- clust(ardieres, 4, 10 / 365, clust.max = TRUE)
    flows <- ardieres[, "obs"]
    lmomplot(flows, identify = FALSE)

[Package POT version 1.1-7 Index]